Bug 1638391 (CVE-2018-12541) - CVE-2018-12541 vertx: WebSocket HTTP upgrade implementation holds the entire http request in memory before the handshake
Summary: CVE-2018-12541 vertx: WebSocket HTTP upgrade implementation holds the entire ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-12541
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1638393
TreeView+ depends on / blocked
 
Reported: 2018-10-11 12:57 UTC by Andrej Nemec
Modified: 2020-07-28 15:54 UTC (History)
11 users (show)

Fixed In Version: vertx-web 3.5.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:39:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2946 None None None 2018-10-18 08:15:01 UTC
Red Hat Product Errata RHSA-2020:3192 None None None 2020-07-28 15:54:21 UTC

Description Andrej Nemec 2018-10-11 12:57:38 UTC
It was found that the WebSocket HTTP upgrade implementation buffers the full http request before doing the handshake, holding the entire request body in memory.

Upstream issue:

https://github.com/eclipse-vertx/vert.x/issues/2648

References:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=539170

Upstream patch:

https://github.com/eclipse-vertx/vert.x/commit/269a583330695d1418a4f5578f7169350b2e1332

Comment 2 errata-xmlrpc 2018-10-18 08:14:54 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes (text-only advisories)

Via RHSA-2018:2946 https://access.redhat.com/errata/RHSA-2018:2946

Comment 3 Joshua Padman 2019-05-15 22:21:51 UTC
This vulnerability is out of security support scope for the following products:
 * Red Hat JBoss Fuse 6

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 6 errata-xmlrpc 2020-07-28 15:54:19 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.7.0

Via RHSA-2020:3192 https://access.redhat.com/errata/RHSA-2020:3192


Note You need to log in before you can comment on or make changes to this bug.